## endeavour 2.8.4

=== Makefile ===
#                     Endeavour Mark II Master Makefile
#


# Uncomment this if you need to set the shell explicitly
#SHELL = /bin/bash

# Uncomment this if you need to set the make explicitly
#MAKE = /usr/bin/gmake


# Source Directories
#
# Note that the order is important.
#
ALL_SRC_DIRS=endeavour2 endeavour2/lib				\
             endeavour2/download.front endeavour2/format.front	\
             endeavour2/fsck.front endeavour2/hedit		\
             endeavour2/sysinfo endeavour2/tedit		\
             endeavour2/ziptool.front endeavour2/utils		\


# All, Config
#
all config:
	@for subdir in $(ALL_SRC_DIRS); do			\
            $(MAKE) -s -C $$subdir -f Makefile $@ || exit 1;	\
        done
	@echo "To install, type \"su\" (to gain root privileges)\
and then type \"make install\"."


# Install
#
install:
	@for subdir in $(ALL_SRC_DIRS); do			\
            $(MAKE) -s -C $$subdir -f Makefile $@ || exit 1;	\
        done
	@echo "Installation complete."
	@echo " "
	@echo "Note: This package does NOT come with a default MIME Type list file."
	@echo " "
	@echo "To get MIME Types list files and other third party software for"
	@echo "Endeavour Mark II, go to:"
	@echo " "
	@echo "        http://www.battlefieldlinux.com/wolfpack/Endeavour2/contrib"
	@echo " "


# Clean
#
clean:
	@for subdir in $(ALL_SRC_DIRS); do			\
            $(MAKE) -s -C $$subdir -f Makefile $@; 		\
        done
