=== endeavour2/test/Makefile ===
PROGRAMS = confirmation_dialog date_parse progress_dialog	\
           prompt_dialog recycle sar splash sendcmd thumbs_list

PREFIX = /usr

CFLAGS = -Wall -g -O2

INC_DIRS =

LIBS = -lm `glib-config --libs`
LIB_DIRS =

CC = cc
CPP = c++

CPPFLAGS = -D__cplusplus -Dc_plusplus

OBJ_C   = $(SRC_C:.c=.o)
OBJ_CPP = $(SRC_CPP:.cpp=.o)

LS           = ls
LSFLAGS      = -a -l
COPY         = cp
COPYFLAGS    = -R -f
MOVE         = mv
MOVEFLAGS    = -R -f
MKDIR        = mkdir
MKDIRFLAGS   = -p -m 0755
RM           = rm
RMFLAGS      = -f
INSTALL      = install
INSTBINFLAGS = -m 0755 -s

EDV_BIN_DIR = $(PREFIX)/lib/endeavour2/bin


# Compile Time Info
#
EXPORT_COMPILETIMEINFO_H = echo -n -e "\
\#ifndef COMPILETIMEINFO_H\n\
\#define COMPILETIMEINFO_H\n\
\#define COMPILE_COMPILER\t\"`$(CPP) --version | tr '\n' ' '`\"\n\
\#define COMPILE_USER\t\t\"$(USER)\"\n\
\#define COMPILE_LOCATION\t\"`uname -n`\"\n\
\#define COMPILE_DATE\t\t`date +\"%s\"`\n\
\#endif\t/* COMPILETIMEINFO_H */\n"


# Build Rules
#

all: pre_build config						\
     $(PROGRAMS)						\
     post_build

pre_build:
	@echo "Building test programs..."

post_build:
	@echo "Build done."

config:
	@echo "Compiling resources"
	@$(EXPORT_COMPILETIMEINFO_H) > compiletimeinfo.h

confirmation_dialog:
	@echo "Compiling confirmation_dialog"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        confirmation_dialog.c ../cdialog.o ../guiutils.o	\
        ../string.o ../fio.o					\
        -o confirmation_dialog

date_parse:
	@echo "Compiling date_parse"
	@$(CC) $(CFLAGS) `glib-config --cflags --libs`		\
        date_parse.c ../edv_date.o ../string.o			\
        -o date_parse

progress_dialog:
	@echo "Compiling progress_dialog"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        progress_dialog.c ../progressdialog.o ../guiutils.o	\
        ../string.o						\
        -o progress_dialog

prompt_dialog:
	@echo "Compiling prompt_dialog"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        prompt_dialog.c ../pdialog.o ../cdialog.o ../guiutils.o	\
        ../pulist.c ../string.o ../disk.o ../fio.o		\
        -o prompt_dialog

recycle:
	@echo "Compiling recycle"
	@$(CC) $(CFLAGS) `glib-config --cflags --libs`		\
        recycle.c ../edv_obj.o ../edv_recbin_index.o		\
        ../edv_recbin_stat.o ../edv_recycled_obj.o		\
        ../edv_utils.o ../string.o ../disk.o ../fio.o		\
        -o recycle

sar:
	@echo "Compiling sar"
	@$(CC) -c sar.c
	@$(CPP) sar.o ../string.o -o sar

sendcmd:
	@echo "Compiling sendcmd"
	@$(CC) $(CFLAGS) `glib-config --cflags --libs`		\
        sendcmd.c ../edv_interps.o ../edv_utils.o ../cfg.o	\
        ../cfg_fio.o ../prochandle.o ../string.o ../disk.o	\
	../fio.o						\
        -o sendcmd

splash:
	@echo "Compiling splash"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        splash.c						\
        ../splash.o ../guiutils.o ../guirgbimg.o		\
        -o splash

thumbs_list:
	@echo "Compiling thumbs_list"
	@$(CC) $(CFLAGS) `gtk-config --cflags --libs`		\
        `imlib-config --cflags --libs`				\
        thumbs_list.c ../tlist.o ../guiutils.o ../guirgbimg.o	\
        ../statictip.o ../string.o ../disk.o ../fio.o		\
        -o thumbs_list


# Install
#
install:
	@echo "These are test programs and are not to be installed."


# Clean
#
clean:
	@echo "Cleaning test programs..."
	@echo "Deleting all intermediate files..."
	@$(RM) $(RMFLAGS) a.out core *.o compiletimeinfo.h	\
        $(PROGRAMS)
	@echo "Clean done."
