=== debian/changelog ===
endeavour (42.0-4) unstable; urgency=medium

  * Cherry-pick patch to fix date picker (Closes: #1003928)
  * Build against libsoup3 libraries

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 17:49:13 -0400

endeavour (42.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: endeavour-common Breaks/Replaces
    gnome-todo-common (<< 42)

 -- Simon McVittie <smcv@debian.org>  Sun, 21 Aug 2022 22:19:56 +0100

endeavour (42.0-2) unstable; urgency=medium

  * debian/control.in: Bump minimum libadwaita to 1.2~alpha

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 14:19:23 -0400

endeavour (42.0-1) unstable; urgency=medium

  * App has been renamed to Endeavour
  * New upstream release
  * Add gnome-todo transitional package
  * Disable introspection and drop the unused gir package (Closes: #991082)
  * Stop providing a -dev package. Use debian/not-installed for those files
  * debian/endeavour.links: Add /usr/bin/gnome-todo symlink
  * Update debian/copyright
  * debian/docs: NEWS is no longer provided
  * Drop all patches except the gsettings patch: applied in new release
  * Cherry-pick patch to fix build with -Werror=format-security
  * Set Rules-Requires-Root:no and X-Ubuntu-Use-Langpack: yes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 16:00:27 -0400

gnome-todo (41.0-3) unstable; urgency=medium

  * debian/control.in: Drop unused librest-dev Build-Depends
  * debian/control.in: Bump Standards-Version to 4.6.1
  * Release to unstable (Closes: #1005536)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 12:43:13 -0400

gnome-todo (41.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Switch from gtk3 to gtk4 and libadwaita
  * debian/control.in: Bump minimum glib & meson.
  * debian/control.in: Build-Depend on itstool
  * Build-Depend on libportal-gtk4-dev for background plugin
  * Build-Depend on dh-sequence-gnome
  * debian/gnome-todo-common.install: Install help files
  * Drop obsolete libgnome-todo (Closes: #883961)
  * Drop all existing patches: applied in new release
  * Add patch to compile gsettings schemas for build tests
  * Cherry-pick patches to fix libportal includes and update
    libadwaita support

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Contact, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Apply multi-arch hints. + gir1.2-gtd-1.0, libgnome-todo-dev:
    Add Multi-Arch: same.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Jan 2022 18:24:39 -0500

gnome-todo (3.28.1-6) unstable; urgency=medium

  * Team upload.
  * Explicitly build-dep on librest-dev (Closes: #978357)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 31 Dec 2020 21:45:21 +0100

gnome-todo (3.28.1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 15:11:50 +0200

gnome-todo (3.28.1-4) experimental; urgency=medium

  * debian/patches/eds-*: Various backports from upstream to build with EDS
    3.33
  * debian/control: Bump to build against libecal-2.0

 -- Iain Lane <laney@debian.org>  Mon, 12 Aug 2019 21:39:48 +0100

gnome-todo (3.28.1-3) experimental; urgency=medium

  * Cherry-pick Drop-the-autoptr-definition-for-ESource.patch:
    - Fix build with evolution-data-server 3.32

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 17:42:02 -0500

gnome-todo (3.28.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Drop obsolete Build-Depends on appstream-util and yelp-tools
  * Add -Wl,-01 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 17:03:02 -0500

gnome-todo (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete dh_translations override
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 11 Apr 2018 13:20:44 -0400

gnome-todo (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Move AppStream metadata to main package
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 22:02:35 -0400

gnome-todo (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop libical3.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Feb 2018 15:26:06 -0500

gnome-todo (3.26.2-3) unstable; urgency=medium

  * Add missing Replaces from package split to ensure smooth upgrades
  * Add stricter dependency from gnome-todo to gnome-todo-common
  * Use dh_missing --fail-missing
  * Thanks Didier Roche for the above packaging suggestions
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Update debian/gbp.conf for Debian GNOME conventions
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 22 Jan 2018 10:25:44 -0500

gnome-todo (3.26.2-2) unstable; urgency=medium

  * Bump Breaks/Replaces for package split so that Ubuntu can sync now
    (Closes: #873356)
  * Cherry-pick libical3.patch to fix build with libical 3 (Closes: #883937)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Dec 2017 15:07:10 -0500

gnome-todo (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - set Standards-Version: 4.1.1
  * debian/watch
    - use https for download

 -- Hideki Yamane <henrich@debian.org>  Wed, 01 Nov 2017 20:07:48 +0900

gnome-todo (3.26.1-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Fri, 22 Sep 2017 20:53:22 +0900

gnome-todo (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - drop autoconf-archive and add meson to Build-Depends
    - add libjson-glib-dev to Build-Depends
  * debian/rules
    - specify --buildsystem=meson
    - remove autoreconf lines

