=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: endeavour
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               meson (>= 0.53.0),
               itstool,
               libadwaita-1-dev (>= 1.2~alpha),
               libglib2.0-dev (>= 2.58.0),
               libgtk-4-dev (>= 3.92.0),
               libgoa-1.0-dev (>= 3.45),
               libecal2.0-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libedataserverui1.2-dev (>= 3.45),
               libical-dev (>= 0.43),
               libpeas-dev (>= 1.17),
               libportal-gtk4-dev,
               gtk-doc-tools,
               libjson-glib-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/endeavour
Vcs-Git: https://salsa.debian.org/gnome-team/endeavour.git
Homepage: https://wiki.gnome.org/Apps/Todo

Package: endeavour
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         endeavour-common (>= ${source:Version}),
         evolution-data-server (>= 3.45),
         gsettings-desktop-schemas
Breaks: gnome-todo-common (<< 3.28),
        gnome-todo (<< 42)
Replaces: gnome-todo-common (<< 3.28),
          gnome-todo (<< 42)
Description: minimalistic personal task manager designed to fit GNOME desktop
 Endeavour is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.
 .
 Endeavour was formerly known as GNOME Todo.

Package: endeavour-common
Architecture: all
Depends: ${misc:Depends},
Breaks: gnome-todo (<< 3.26.2-2~),
        gnome-todo-common (<< 42)
Replaces: gnome-todo (<< 3.26.2-2~),
          gnome-todo-common (<< 42)
Description: common files for Endeavour
 Endeavour is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.
 .
 This package contains common files.

Package: gnome-todo
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, endeavour
Description: minimalistic personal task manager - transitional package
 This empty transitional package is here to ensure smooth upgrades.
