=== debian/watch ===
version=4
https://gitlab.gnome.org/World/@PACKAGE@/tags \
	.*/Endeavour-v@ANY_VERSION@@ARCHIVE_EXT@
