## endeavour 43.0

=== meson_options.txt ===
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
option('tracing', type: 'boolean', value: false, description: 'Enable application tracing')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')
