=== debian/changelog ===
endeavour (43.0-5) unstable; urgency=medium

  * Remove obsolete Build-Depends: gtk-doc-tools
  * Add Build-Depends: libxml2-utils for xmllint
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Mar 2025 13:53:37 -0400

endeavour (43.0-4) unstable; urgency=medium

  [ Philipp Unger ]
  * add patch to fix a crash if n_messages is zero and causes a divide by zero
    (Closes: #1022144)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Dec 2024 17:33:30 -0500

endeavour (43.0-3) unstable; urgency=medium

  * Remove obsolete transitional package and Breaks/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 21:22:32 -0400

endeavour (43.0-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Update debian/watch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 14:33:31 -0400

endeavour (43.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57.0
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 11:41:47 -0500

endeavour (42.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata

  [ Jeremy Bicha ]
  * Update debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 10:22:54 -0500
