=== debian/control ===
Source: endeavour
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>,
           Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               itstool,
               libadwaita-1-dev (>= 1.2~alpha),
               libecal2.0-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libedataserverui1.2-dev (>= 3.45),
               libglib2.0-dev (>= 2.58.0),
               libgoa-1.0-dev (>= 3.45),
               libgtk-4-dev (>= 3.92.0),
               libical-dev (>= 0.43),
               libjson-glib-dev,
               libpeas-dev (>= 1.17),
               libportal-gtk4-dev,
               libxml2-utils,
               meson (>= 0.57.0)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/endeavour
Vcs-Git: https://salsa.debian.org/gnome-team/endeavour.git
Homepage: https://wiki.gnome.org/Apps/Todo

Package: endeavour
Architecture: any
Depends: endeavour-common (>= ${source:Version}),
         evolution-data-server (>= 3.45),
         gsettings-desktop-schemas,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-todo (= ${binary:Version})
Description: minimalistic personal task manager designed to fit GNOME desktop
 Endeavour is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.
 .
 Endeavour was formerly known as GNOME Todo.

Package: endeavour-common
Architecture: all
Depends: ${misc:Depends}
Description: common files for Endeavour
 Endeavour is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.
 .
 This package contains common files.
